<?xml version="1.0" encoding="utf-8"?>
<com.scwang.smartrefresh.layout.SmartRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/srl_refresh"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/ll_search"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:orientation="horizontal"
            android:paddingHorizontal="20mm"
            android:paddingVertical="10mm">


            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/shape_client_search"
                android:gravity="center_vertical"
                android:paddingHorizontal="10mm">

                <ImageView
                    android:layout_width="15mm"
                    android:layout_height="15mm"
                    android:src="@mipmap/client_search" />

                <EditText
                    android:id="@+id/et_key"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="2mm"
                    android:background="@null"
                    android:hint="搜索设备名称"
                    android:maxLines="1"
                    android:textColor="#91ABBA"
                    android:textColorHint="#91ABBA"
                    android:textSize="14sp" />
            </LinearLayout>


            <Button
                android:id="@+id/btn_search"
                android:layout_width="60mm"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10mm"
                android:background="@color/mainTextColor"
                android:text="搜索"
                android:textColor="@color/white"
                android:textSize="16sp" />
        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_data"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />
    </LinearLayout>


</com.scwang.smartrefresh.layout.SmartRefreshLayout>